#include "communication/bridge/proxy/i_bridge_proxy_factory.h"
#include "communication/bridge/proxy/fake_bridge_proxy.h"

namespace spin
{
    class FakeBridgeProxyFactory : public IBridgeProxyFactory
    {
    public:
        FakeBridgeProxyFactory() {}
        virtual ~FakeBridgeProxyFactory() {}

        std::shared_ptr<IBridgeProxy> createProxy(std::shared_ptr<IConnectionFactory> connectionFactory, boost::shared_ptr<kr2_program_api::ProgramInterface> api) override
        {
            return std::make_shared<FakeBridgeProxy>();
        }

        std::shared_ptr<IBridgeProxy> createProxy() override
        {
            return std::make_shared<FakeBridgeProxy>();
        }
    };
} // namespace spin